Welcome

CW Skimmer 2.1

Copyright © 2008-2018 Afreet Software, Inc.

http://www.dxatlas.com/cwskimmer

Author: Alex Shovkoplyas, VE3NEA
ve3nea@dxatlas.com


Overview

CW Skimmer is a panoramic, multi-channel CW decoder and analyzer. The main features of the program are:

  • a very sensitive CW decoding algorithm based on the methods of Bayesian statistics;

  • simulatneous decoding of ALL cw signals in the receiver passband - up to 700 signals can be decoded in parallel on a 3-GHz P4 if a wideband receiver is used;

  • a fast waterfall display, with resolution sufficient for reading Morse Code by the eye at keying speeds up to 45 WPM;

  • the callsigns are extracted from the decoded messages, and the traces on the waterfall are labeled with stations' callsigns;

  • a DSP processor with a noise blanker, AGC, and a sharp, variable-bandwidth CW filter;

  • an I/Q Recorder and player.

Screenshots
  • Contest

  • Pileup


Contest Screenshot


Pileup Screenshot


Prerequisites

  • Operating system: Windows ME, Windows 2000, Windows XP, Windows 7 or higher (32-bit or 64-bit). Windows 95 and Windows 98 are not supported.

  • CPU: Pentium-IV 2.5 GHz or higher with a wideband radio, or 1 GHz with a 3-kHz radio;

  • Receiver: see the Configuration/Radio section for the list of supported radios;

  • Ports: one COM port for the radio CAT control (only if a 3-kHz receiver or SoftRock-IF is used);

  • Sound card: a stereo sound card that supports the 48 kHz sampling rate or higher, and has a valid WDM driver;

  • Cables: two cables are required to connect the radio to the PC, a standard stereo cable for the audio or I/Q signal and a CAT cable/adapter for the CAT control.


Configuration

CW Skimmer controls external hardware and performs real-time audio streaming. This makes the program very sensitive to the correctness of its configuration settings. Please follow the instructions below carefully to ensure that the software is properly configured.
  • Radio
  • Audio
  • CAT control
  • I/Q balancer
  • Other settings
  • Telnet settings
  • Spectrum via UDP Settings
  • Callsign Validation
  • Waterfall settings
  • Radio-specific settings
  • Status icons
  • Multiple copies
  • Auto-Start


Radio

The following types of radio hardware are currently supported:
  • 3-kHz receiver - an ordinary transceiver or receiver, with 3-KHz audio output;

  • SoftRock receiver - a wideband receiver with quadrature output and a fixed center frequency;

  • SoftRock on IF - a combination of an ordinary receiver and a SoftRock working on receiver's IF.

  • SDR-IQ and SDR-14 - RF sampling receivers;

  • QS1R - RF sampling receiver;

  • HPSDR Mercury - RF sampling receiver;

  • Perseus - RF sampling receiver.

While CW Skimmer can work with a 3-KHz radio, its multi-channel decoding capacity remains heavily under-used in this mode. A wideband receiver is strongly recommended for this type of software.

Other wideband radios with quadrature (I/Q) output may also work with CW Skimmer. The setup instructions for some of the radios that are not supported by CW Skimmer directly are included in the Other radios section.


3-kHz receiver

Radio Settings

Open the Radio page in the Settings dialog and select 3-kHz Radio in the Hardware Type box.

Enter CW Pitch, in Hz. This value is used for two purposes: 1) it determines where exactly in the 3-kHz passband the operating frequency is located, and 2) it specifies the pitch of the DSP audio output. The pitch entered in this box must be the same as selected in your radio.

Switch the radio to the CW mode (upper sideband), and make sure that the bandwidth of the audio output from the radio is at least 2 kHz. Do not use narrowband filters in your radio.

Disable AGC in the radio, or set the RF gain low enough to prevent AGC from triggering.

Turn the AF gain in the radio all the way down, unplug your headphones from the radio and plug them into the Audio I/O soundcard selected in the Audio settings.

The CAT Control interface is required in the 3-kHz mode, follow the procedure described in the CAT Control section to configure it.


SoftRock receiver

SoftRock is a single-band quadrature SDR receiver with a fixed center frequency. Depending on the sampling rate of the Signal I/O soundcard, it can cover 48, 96, or 192 kHz of RF spectrum on any of the 160m - 20m bands. SoftRock is available as a kit ($12) or as an assembled unit from Tony, KB9YIG. Detailed information on this radio can be found at the SoftRock40 Yahoo Group web page.

Radio Settings

Open the Radio page in the Settings dialog and select SoftRock in the Hardware Type box.

Enter the Local Oscillator frequency of your SoftRock, in Hz, in the LO Frequency box.

Enter CW Pitch, in Hz. This value determines the pitch of the DSP audio output.

Set the Sampling Rate equal to the desired bandwidth of the radio. This rate must be supported by the Audio I/O soundcard selected on the Audio page. Typically you will want to use the highest sampling rate supported by the soundcard, unless your system does not have enough CPU resources to process data at that rate - in which case you should try a lower rate.


SoftRock on IF

SoftRock can be used as a stand alone receiver as described in the SoftRock receiver section. It can also be used on the IF of the base transceiver. This setup has some pros and cons.

Pros:
  • wideband reception/skimming on all bands;
  • the receiver passband is always centered at the operating frequency.
Cons:
  • a modification of the base radio may (or may not) be required, see below;
  • the bandwidth of the receiver is limited by the roofing filter in the base radio.

Connecting SoftRock to the base radio

Some radios, such as Elecraft K3 and Kenwood TS-870, have a buffered IF output at the rear panel. These radios do not require modificaton, the IF signal can be fed directly from the IF connector into SoftRock through a small capacitor.

If your radio does not have IF output, you have to create one. In many cases this does not requre soldering, the IF signal can be pulled from an existing connector inside the transciever (e.g. the noise blanker socket in Elecraft K2), or from the control point pins (pins W1.1 and W1.2 in the TX-RX unit of TS-570). Search the archives of the SoftRock40 Yahoo Group for the SoftRock/transceiver interfacing tips.

Preparing SoftRock for operation on the IF

The LO frequency in SoftRock-on-IF must be chosen carefully, as described later in this section. You can either order a SoftRock kit with the correct crystal for your IF, or replace the crystal in an existing SoftRock. The front end filter in SoftRock has wide bandwidth and usually does not require modification, the 40m filter works fine on the 8.83 MHz IF, and the 30m filter is ideal for the 10.7 MHz IF. Include a small capacitor between the IF output and SoftRock input to block DC.

Radio settings in CW Skimmer

Open the Radio page in the Settings dialog and select SoftRock-IF in the Hardware Type box.

Enter CW Pitch, in Hz. This value determines the pitch of the DSP audio output.

Enter the difference between the IF of the base radio and the SoftRock LO, in Hz, in the Audio IF field. This value can be positive or negative.

Select 96 kHz in the Sampling Rate box, unless your choice of LO frequency requires a different value. See the next sub-section for details.

Choosing the LO frequency

The diagram below illustrates the factors that affect the choice of the LO frequency in the SoftRock-IF mode.

Assuming that the sampling rate is 96 kHz, the optimal LO frequency is 20-30 kHz above or below the IF. This places the IF signals, band-limited by the roofing filter, away from the central noise hump and the areas at the ends of the spectrum contaminated with aliases. The Audio IF on the diagram is about +24000 Hz.

CW Skimmer uses the 24-kHz segment of the input spectrum centered at the specified Audio IF and discards the rest of the spectrum. This segment is shown on the diagram in blue.

If the LO frequency cannot be made close enough to the IF, then the 192-kHz sampling rate must be used.

To ensure that the CW Skimmer passband is within the SoftRock passband, the Audio IF should not exceed ±36 kHz at the 96-kHz sampling rate, and ±84 kHz at the 192-kHz rate.

Depending on the architecture of the base radio, its IF spectrum may be inverted so that the higher frequencies appear below the lower frequencies. To correct this, change the Left/Right to I/Q mapping on the Audo Settings page, and change the sign of the Audio IF. This will mirror the input spectrum and restore the correct direction of the frequency scale.

CAT Interface

The CAT Control interface is required in the SoftRock-IF mode, follow the procedure described in the CAT Control section to configure it.


SDR-IQ and SDR-14

SDR-IQ and SDR-14 are software-defined receivers produced by RF Space that cover the frequencies up to 30 MHz. CW Skimmer can use these radios with the bandwidth of 48 kHz, 96 kHz, or 192 kHz.

Drivers

1. Make sure that the D2XX USB driver is installed on your system. This driver comes with SDR-IQ, but if you do not have the latest version, you can download it from the FtdiChip web site.

2. Make sure that the Sdr14x ActiveX control is installed. You can use either the standard version of this control (SDR14X.dll) provided with SDR-IQ or the improved version (sdrIQx.dll) developed by Ed W2RF (highly recommended). Download either the standard version or the improved version, and install it as described in its Readme file.

Settings

Open the Radio page in the Settings dialog and select SDR-IQ in the Hardware Type box.

Enter CW Pitch, in Hz. This value determines the pitch of the DSP audio output.

Set the Sampling Rate equal to the desired bandwidth of the radio.

Configure the Audio I/O device as described in the Audio section. The Signal I/O device is not used in this mode.

The CAT Control interface is not used in this mode.


QS1R

QS1R is a direct RF sampling receiver designed by Phil N8VB.

USB driver

Install the QS1R LibUSB driver as described in the documentation that comes with the radio.

Radio Settings

Open the Radio page in the Settings dialog and select QS1R in the Hardware Type box.

Enter CW Pitch, in Hz. This value determines the pitch of the DSP audio output.

Set the Sampling Rate equal to the desired bandwidth of the radio.

Configure the Audio I/O device as described in the Audio section. The Signal I/O device is not used in this mode.

The CAT Control interface is not used in this mode.

SDRMAXII, the "official" software that comes with QS1R, is not used by CW Skimmer and should not be running when CW Skimmer works with the QS1R radio.


HPSDR Mercury

A direct RF sampling receiver based on the Mercury module consists of an Atlas backplane, an Ozy module, and a Mercury module. These modules are prarts of the HPSDR project.

USB driver and firmware files

Install the Mercury drivers and software as described in its Quick Startup Guide. Make sure that the radio works with its "official" software, PowerSDR.

Copy the ozyfw-sdr1k.hex and Ozy_Janus.rbf files from the PowerSdr directory to the CW Skimmer directory, and rename them to Ozy_firmware.hex and Ozy_fpga.rbf respectively.

Radio Settings

Make sure that PowerSDR and other applications that work with Mercury are NOT running. Start CW Skimmer. Open the Radio page in the Settings dialog and select Mercury in the Hardware Type box.

Enter CW Pitch, in Hz. This value determines the pitch of the DSP audio output.

Set the Sampling Rate equal to the desired bandwidth of the radio.

Configure the Audio I/O device as described in the Audio section. The Signal I/O device is not used in this mode.

The CAT Control interface is not used in this mode.

PowerSDR, the "official" software that comes with Mercury, is not used by CW Skimmer and should not be running when CW Skimmer works with the Mercury radio.


Perseus

Perseus is an RF sampling receiver by Microtelecom.

USB driver and FPGA files

Download the latest Perseus software from the Perseus web page.

Install the Perseus USB driver, WinUSB, as described in the documentation that comes with the radio. Copy the following files from the Perseus folder to the CW Skimmer folder:
  • perseususb.dll;
  • perseus48k24v31.sbs;
  • perseus96k24v31.sbs;
  • perseus192k24v31.sbs.

Radio Settings

Open the Radio page in the Settings dialog and select Perseus in the Hardware Type box.

Enter CW Pitch, in Hz. This value determines the pitch of the DSP audio output.

Set the Sampling Rate equal to the desired bandwidth of the radio.

Configure the Audio I/O device as described in the Audio section. The Signal I/O device is not used in this mode.

The CAT Control interface is not used in this mode.

The "official" software that comes with Perseus should not be running when CW Skimmer is working with Perseus, the radio can be controlled only by one program at a time.


Other radios

  • SDR-1000
  • Flex-5000
  • Perseus


SDR-1000

The SDR-1000 transceiver by Flex Radio is not supported by CW Skimmer directly. However, the Skimmer can be used with this radio in the SoftRock-IF mode, as described by Rick VE3MM:

I put a Y cable in the output of my SDR1000 and fed a Ozy-Janus combo running Power SDR and a Delta 44 running CW Skimmer all on the same computer. No run problems, it took a bit o fiddling on the IF frequency to get the frequencies coordinated. I had to turn spur reduction off on Power SDR. The programs talked to each other with no problems. The only negative is that the signal levels were way down on Skimmer even though I set the input on the Delta 44 at -10 db. Power SDR ran ok and did not seem to be affected by the Y connection

The CAT control interface must be configured to use the virtual COM port exposed by the Flex Radio software.


Flex-5000

The Flex-5000 transceiver by Flex Radio is not supported by CW Skimmer directly. However, the Skimmer can be used with this radio in the SoftRock-IF mode, as described by Ed W2RF:

There have been a number of requests to interface PowerSDR to CW Skimmer in a wideband mode. To facilitate that I have posted a version of PowerSDR that supports direct VAC output of 48, 96, and 192khz. This has been tested with CW Skimmer. It is availabe in the SVN branch w2rf/rx2/bin/release.

PowerSDR settings

In PowerSDR there is a checkbox on the Setup VAC tab to enable direct I/Q output. A second checkbox enables I/Q calibration.

On the VAC tab also select the Windows Direct Sound driver, and output to a Virtual Cable.

On the PowerSDR front panel make sure spur reduction (SR) is off.

VAC Control Panel settings

In the VAC 4 Control Panel configure the Virtual Cable Stream Range to 22050..192000.

CW Skimmer settings

In CW Skimmer Settings, on the Radio tab select the SoftRock-IF mode with an IF of 9000 plus the CW pitch. For example, if the CW pitch on PowerSDR is 600, the IF should be 9600.

On the CAT tab enable the virtual COM port CAT connection with PowerSDR.

On the Audio tab select WDM audio, and select the Virtual Cable as the Signal I/O Device.

More Info

These articles in the Flex Radio Knowledge Base explain integration between Flex-5000 and CW Skimmer in more detail.


Perseus

This section is obsolete. Perseus is now supported directly, see the Radio / Perseus section.

The Perseus transceiver by Microtelecom is not supported by CW Skimmer directly. However, the Skimmer can be used with this radio in the SoftRock mode, as described by Bob N6TV:

To re-sample the Perseus I/Q signals into a format compatible with CW Skimmer, you must use two third-party programs: Ratemonkey and Virtual Audio Cable.

Virtual Audio Cable settings (do this first):
SR:          48000 .. 192000
BPS:         8 .. 24
NC:          1 .. 2
Max inst:    20
Ms per int:  10
Stream fmt:  Cable format
Connected source:  Line
Clock corr:  100%
CW Skimmer settings:
Hardware Type:     Softrock
Sampling Rate:     192 kHz   (use this for the -outrate value, below)
LO Frequency:      14075000  (use this for the -perslo value below)
Soundcard Driver:  WDM       (or select MME if using the audio monitor)
Signal I/O Device: Virtual Cable 1
Channels:          Left/Right = I/Q
Shift by:          0 samples
Disable Windows animation:  Checked
Ratemonkey parameters (e.g. 14.075 MHz, 192 kHz):
ratemonkey -indev Perseus -inrate 250000 -outdev line -outrate 192000 -outbps 3 -firtabs 256 -cutoff 0.8 -imgrej 90 -perslo 14075000 -perspres 7 -persatt 0
When prompted, select Output line: Virtual Cable 1

Ratemonkey author Michael Feilen suggested using these filter settings to improve image rejection compared to the Ratemonkey defaults.

On a slower PC, try re-sampling 125 to 96 kHz instead 250 to 192 kHz.

For configuration details with screen shots, see N6TV's online presentation here: http://tinyurl.com/5oj88k


Audio

A mono soundcard can be used in the 3-kHz mode, all other modes require a stereo card. Almost any soundcard can be used with this software, even the on-board one. If your radio has a 96 or 192 KHz bandwidth, however, you will need a soundcard that supports the sampling rate equal to the bandwidth, to take full advantage of the receiver capabilities.

Click on View / Settings in the main menu to open the Settings dialog, then click on the Audio tab to start editing the audio settings.

CW Skimmer supports the MME and WDM interfaces to the soundcard. Real-time audio streaming is very sensitive to the quality of the audio driver, so one of the interfaces may work better than the other, depending on your particular driver. Try WDM first, and switch to MME if WDM does not work properly. Note that each interface has its own list of audio devices. If you switch between MME and WDM, you have to re-select the Signal and Audio soundcards.

Select the soundcard that will be used for signal input from the radio in the Signal I/O Device box.

Select the soundcard that will be used for DSP audio output in the Audio I/O Device box. This can be either the same soundcard as selected for Signal, or a different card.

The Audio Volume slider allows you to set the level of the DSP audio output. This needs to be done only once, the AGC system in the software will maintain the specified ouput level regardless of the input signal strength.

Select Left/Right = I/Q or Left/Right = Q/I, depending on the wiring of your stereo cable. This setting has no effect in the 3-kHz mode.

Some soundcards have data in one of the channels delayed by 1 sample in respect to the other channel. This can be corrected using the Shift Right Channel Data by... setting.


CAT control

The CAT control is required for the 3-kHz and SoftRock-IF radios. It is not used with plain SoftRock.

To control the radio from CW Skimmer, you need a serial cable that connects your radio with a COM port on the computer. If you have an ICOM radio, you also need an adapter, CI-V or a homebrew equivalent. Once the hardware is connected, you can configure the software.

Click on View / Settings in the menu, then click on the CAT tab. Click on Use Radio 1, then click on Configure to open the OmniRig configuration dialog.

CAT Control Settings
  • Rig Type - select the radio model from the drop-down list.

    If your model is not listed, download and install the latest version of the OmniRig engine - see the Updating OmniRig section for the instructions.

    If the model is still not listed, you may have to create an INI file with the definition of the CAT commands supported by the radio. The process of creating a new INI is described in detail at the OmniRig web page.

  • Port - select the COM port to which your CAT cable is connected.

  • Baud Rate - the speed of data transfer used by the radio. There is no standard for this paramenter, you have to consult with the operating manual of your receiver/transceiver. Note that many radios support multiple baud rates, selectable either via the menu or by setting the jumpers. Make sure that the baud rate specified in the Baud Rate box is the same as selected in the radio.

  • Data Bits - select 8.

  • Parity - select None.

  • Stop Bits - there is no standard for this setting. Check the Operating Manual to see how many stop bits your radio requires.

  • RTS and DTR - select High for both, this selction is compatible with all standard COM interfaces and most homebrew ones.

  • Poll Int - leave the default value of 500 ms;

  • Timeout - leave the default value of 4000 ms.

Once the CAT interface is configured and is functioning properly, the Polling Interval and Timeout can be set to lower values to improve the speed of CAT. Poll Int. = 200 ms and Timeout = 1000 ms work fine for most modern radios.

ICOM radios must have the CAT Transceive mode disbaled, and the address of the radio must have its default value.

Even though CAT control is not used in the SoftRock mode, it is still enabled and monitors the frequency changes. If you want another program to control your radio, you need to disable CAT control in CW Skimmer by selecting NONE in the Rig Type box, or by choosing Radio 2 that has NONE selected.


Updating OmniRig

OmniRig is a freeware radio control engine used in Band Master, Faros, CW Skimmer, and dozens of third party applications. All programs that support OmniRig can access the radio simultaneously.

OmniRig is installed automatically as part of the CW Skimmer installation, but it is a good idea to always have the latest version of the engine. To update OmniRig, download it from the Downloads page and run the Setup program. This will replace the old version with the new one.

OmniRig is extensible, the support of a new radio can be added to it by creating an INI file with the description of its CAT commands. The INI files are located in Program Files\Afreet\OmniRig\Rigs\, most of these files have been contributed by the users. Open the INI file in Notepad to see who created it and how to contact the author.

To get the latest set of INI files, go to the Downloads page, download "INI files for OmniRig", and unzip them into the Rigs\ folder.

If your radio is currently not supported, you can create your own INI file for it. The documentation and tools required for the INI file creation are available at the OmniRig web page.


Frequency Calibration

Frequency calibration is supported for the SDR-IQ, QS1R, HPSDR Mercury and Perseus radios. To calibrate the frequency, click on the Start Radio button and tune the radio at a signal of known frequency, such as the WWV station at 5 MHz or 10 MHz. Click on View / Frequency Calibration in the menu. Enter the actual frequency of the signal in the True Frequency box, and click on OK.


I/Q balancer

The I and Q channels of a quadrature receiver are supposed to have the same gain and exactly 90º phase offset. Most receivers have some imbalance between the channels, this produces spurious components in the spectrum known as images.

CW Skimmer has an automatic I/Q balancing system that works in the background, continously estimates the balance error, and performs balance correction. The balancer uses the strong signals present on the band as signal generators for balance error measurements and works best when the band is crowded.

Click on I/Q Balance in the menu to see the balance error charts. Use the check boxes in the I/Q Balance dialog to enable or disable balance data collection and balance correction. Click on the Reset button to clear collected data.

I/Q balancing is not really necessary in the SoftRock-IF mode because the roofing filter in the main radio suppresses the images, but it does not hurt either.


Other settings

These settings can be specified on the Misc. and Operator pages of the Settings dialog.

Misc. page

Disable Windows animation - use this check box to disable the animation of menus and windows displayed by the operating system if such animation interferes with real-time audio processing.

Band Plan - this setting is used to show the boundaries of the band segments on the Band Map. Select the band blan that is observed in your country.

The band plan information is stored in the BandPlan.ini file in the CW Skimmer directory. You can add your own band plans or change the existing ones by editing this file in Notepad:

The file structure is explained in the comments at the top of the BandPlan.ini file.

Decode only in the CW segments - when this option is enabled, the signals outside of the CW segment of the band, as defined in the currently selected band plan, are not decoded.

Max Number of CW Decoders - by default, CW Skimmer automatically selects the optimal number of CW decoders based on the available CPU resources. You can override this by un-checking the Adaptive checkbox and setting a fixed number of decoders.

Operator page

Enter your callsign, name, QTH and Grid Square on this page. These data, stored in your WAV files created with the I/Q recorder, will help you and other people to identify the source of the recording.

The data entered on this page are also used in the greeting message of the Telnet server, and in the spot announcements.


Telnet settings

The controls on this page of the Settings dialog specify how the Telnet server built into CW Skimmer works.

Enable Telnet Server - enable or disable the built-in Telnet server.

Port - specify the port number of the server. The default port is 7300.

Require Password - if this checkbox is ticked, the server will prompt the client to enter the password.

Password - the password that the client must enter to log in to the server.

Do not Send Callsigns Without "CQ" - if this option is enabled, the server will send spots only for the CQ'ing stations.

Allow SKIMMER Commands - this option enables the SKIMMER/ commands and To ALL notifications described in the Telnet commands section.

Only From This User - accept the Announce commands only from the client with the given callsign.


Spectrum via UDP Settings

CW Skimmer can send the power spectrum that it computes as part of Morse Code decoding to third party applications, such as N1MM+. To enable this function, tick the Send Spectrum via UDP check box in the Settings dialog and enter the following parameters that will be used by the function.

Source Name - the name of the program sending the spectra. "CW Skimmer" by default.

Destination Address - the IP address of the machine on which the program that receicves the spectra is running.

Destination Port - the UDP port on which the program that receives the spectra is listening.


Callsign Validation

Validation methods

The callsign is sent to the Telnet clients, added to the Callsigns dialog, and shown on the band map in bold only if it has passed the validation tests listed below.

Test | Description | Color
WatchList Master.dta | The callsign is present in Watch list or Master.dta | green
Pattern | Typical callsign pattern | blue
 | Unusual callsign pattern | teal
 | Suspicious callsign pattern | black
ITU Block | The prefix belongs to a block not allocated by the ITU | ----

Validation levels

The Callsign Validation setting in the Settings / Calls dialog determines how validation results affect the display of the callsigns. The following validation levels are avilable:
  • Minimal;
  • Normal;
  • Aggressive;
  • Paranoid.
The higher the validation level, the more callsigns are rejected.

Master.dta

Master.dta is the SuperCheck Partial file used in many contesting programs. Make sure that you have the latest version of this file. If you already have Master.dta installed with your contesting software, specify the path to this file in the Master.dta file box, otherwise download the latest revision from the K5ZD web site and put it in the CW Skimmer data directory. Note that some logging programs lock the Master.dta file and do not allow other software to read it. If you are using one of such loggers, put Master.dta in the CW Skimmer directory and clear the Master.dta file box.

Callsign Colors

If the Callsign Colors Reflect / Validation Result option is selected, the colors of the callsigns on the bandmap and in the Callsigns dialog reflect the validation result, as shown in the table above. The Callsign Colors Reflect / Status in Logger option replaces the validation colors with the colors received from the logger via Telnet, see Telnet commands for details.

Please note that the spots marked as Dupe are shown in gray regardless of the display mode.


Waterfall settings

The sliders in this dialog control the brightness, contrast and Gamma factor of the Waterfall display. Adjust these settings to match the characteristics of your monitor.

The changes of brightness and contrast affect the new data that appear at the right side of the display while the Gamma setting affects the whole display.

The Waterfall Settings dialog is enabled only when the waterfall is running.


Radio-specific settings

The Radio Settings dialog contains the settings that are specific to the selected radio type. To open this dialog, click on View / Radio Settings in the main menu, or click on the Radio-Specific Settings button on the toolbar.

If the radio does not have any radio-specific settings, this dialog is disabled.


Status icons

The icons on the status bar turn red if there is a problem with one of the hardware components. The text describing the problem appears on the mouse-over hint of the icon.

Radio CAT control problem. Check the radio, the cable, and the CAT interface settings in the Settings dialog.

The bandwidth of the audio input signal in the 3-kHz Radio mode is too low. Disable the narrowband filter in the radio.

The program does not receive enough CPU resources.


Multiple copies

Multiple instances of CW Skimmer can run simulatneously and process data from multiple receivers. By default, all instances read their settings from the CwSkimmer.ini file in the CwSkimmer folder. To ensure that each instance works with its own receiver, a different INI file can be specified for each instance on the command line:

CwSkimmer.exe ini="C:\MyIniFile.ini"


Auto-Start

There are several ways to start the waterfall and CW decoding automatically, without clicking on the Start button:
  • include the AUTOSTART switch on the command line:

    CwSkimmer.exe autostart
  • send the SKIMMER/START command via Telnet;

  • start CW Skimmer from a VB script, and send the keystroke to the program. Here is a sample script, RunSkimmer.vbs:

    set objShell = CreateObject("WScript.Shell")
objShell.Run "C:\Program Files\Afreet\CwSkimmer\CwSkimmer.exe"
WScript.Sleep 3000
objShell.SendKeys "{F9}"


User Interface

  • Main menu
  • Waterfall display
  • Band map
  • Callsign list
  • Watch list
  • DSP Processor
  • Tuning
  • CW decoder
  • I/Q recorder


Main menu

File
  • Exit - close the program.

View
  • Recorder - opens the IQ recorder window.

  • Callsign List - opens the Callsign List window.

  • Band Scope - opens the Band Scope window.

  • Watch List - opens the Watch list window.

  • I/Q Balance - opens the I/Q Balance dialog.

  • Waterfall Settings - opens the Waterfall settings dialog.

  • Radio Settings - opens the Radio-Specific Settings dialog.

  • Settings - opens the Settings dialog.

  • Frequency Calibration - opens the Frequency Calibration dialog.

  • Always on Top - keeps the CW Skimmer window on top of all other windows.

Commands
  • Tune At... - opens the Tune at Frequency dialog.
  • BLIND Mode - disables CW decoding.

Help
  • Contents - opens this Help file.

  • Web Site - starts the browser and opens the CW Skimmer web page.

  • Email the Author - starts the email client and puts my email address in the To: field.

  • Buy Now - opens the shareware registration web page.

  • Enter Reg. Key - opens the Enter Key dialog.

  • Data Folder - opens the CW Skimmer data folder in File Explorer.

  • About - opens the About Box with brief information about the program.


Waterfall display

The waterfall display is a two-dimensional representation of the selected portion of an HF band. The vertical axis is frequency, the horizontal axis is time, and the brightness corresponds to the signal strength.

Waterfall Settings

The brightness, contrast and Gamma factor of the waterfall display can be adjusted in the Waterfall settings dialog.

Toolbar Buttons
  • Start/Stop data processing

  • Open the I/Q recorder window

  • Mute audio output of the DSP Processor

  • Enable the noise blanker - see the DSP Processor section

  • Enable the key click filter - see the DSP Processor section

  • Switch between the absolute and relative frequency scale

  • Open the Callsign list window

  • Open the Radio-specific settings dialog


Band map

CW Skimmer creates a new CW decoder for every CW signal in the receiver passband. The decoded messages are analyzed, and the results of the analysis are displayed on the BandMap panel.

The circles at the left side of the band map represent decoders. Put the mouse cursor on the circle to see the decoded text on the mouse-over hint.

The message analyzer extracts the callsigns from the message and places them on the label associated with the decoder. If the callsign appears two or more times in the message, it is displayed in bold. The analyzer also looks for certain keywords, such as "CQ", "DE", "TEST", etc., to determine if the callsign belongs to the transmitting station or to its correspondent, and whether the station is running or S&P'ing. The callsign on the label is pre-pended with CQ if the station is running, and with DE if the call belongs to the transmitting station.

The analyzer looks for "QRL?" in the message and places the QRL? label on the bandmap if this word is found. This feature allows the operator to notice the new stations on a crowded band.

The 599 label means that the message contains some form of RST, usually "5NN". The most recent RST is shown as 599 . These labels are very useful in the pileups as they help the operator to discover the frequency where the DX is listening.

The green triangles [image] to the right of some labels mark the stations that are currently transmitting.

If the station QSY's to another frequency, the analyzer detects this and moves the label to the new place. No duplicate labels are displayed.

Toolbar Buttons
  • Filter Labels. If the band is crowded, the bandmap becomes cluttered. Use the Filter Labels button to hide some less important labels. The drop-down menu of this button has the following options:

    • Verified Calls - only the callsigns that appear in the message two or more times are displayed. Use this mode in the contests and pileups.

    • All Calls - all callsigns found in the message are displayed, up to 3 callsigns per label. Use this mode when looking for DX on a band with low activity.

    • Raw Text - the unprocessed message text is displayed.

    • Show 599 - show/hide the 599 labels. These labels are useful in a pileup but should be disabled in a contest.

  • Delete All Labels - delete all CW decoders and associated labels, and start signal detection and decoding from scratch.


Callsign list

The verified callsigns (see Band map) are listed in the Callsign window. The frequency field is automatically updated if the station QSY's. The UTC field is updated every 15 minutes as long as the station keeps sending its callsign. The callsign is deleted from the list after 10 minutes of inactivity.

Click on the column header to sort the list by frequency, by UTC, or by the callsign.

Double-click on the callsign in the list to tune the radio at the frequency of the station.

CW Skimmer saves the callsigns on the disk and restores them on the next start, but the 10-minute inactivity rule applies to the saved callsigns.


Watch list

The callsigns listed in this window are considered valid by the validation routine. Enter one callsign per line. Comments starting with "//" and blank lines are allowed in the list:


DSP Processor

CW Skimmer has a DSP processor with a noise blanker, AGC, Anti-Click function, and a CW filter. To start using the processor, disconnect your headphones from the radio and plug them in the audio output soundcard.

Noise Blanker

is efficient against impulsive noise, such as static crashes and powerline noise. The screenshots below show a weak EME signal recorded in a high-noise environment.

Noise Blanker OFF

Noise Blanker ON

Like all noise blankers, this one works best when no strong signals are present in the passband. Keep the noise blanker disabled unless impulsive noise is present.

AGC

in CW Skimmer is based on the innovative algorithm that tracks both the upper and lower ends of signal's dynamic range. This creates an impression that there is no AGC at all - but the strength of all signals is within the comfortable range. This AGC does not "breath", allowing the operator to hear weak signals between the dots and dashes of a strong one.

Anti-Click

is a function that removes key clicks from the waterfail display. You can turn this function off temporarily to see how strong the key clicks are, but normally you will keep it enabled as it makes the waterfall display much less cluttered.

Anti-Click OFF

Anti-Click ON

CW Filter

has a bandwidth continously adjustable between 20 and 700 Hz. The green rectangle on the frequency scale shows the boundaries of the filter passband:

To change the filter bandwidth, press the Ctrl-Up and Ctrl-Down arrow keys, or turn the mouse wheel, or drag the green rectangle with the mouse in the vertical direction.


Tuning

With CW Skimmer, you no longer have to tune the radio in a traditional way. Why dial the tuning knob and listen to 500 Hz at a time when you can see all signals within 10 kHz or so on the waterfall display, and tune instantly and precisely at any station with a single mouseclick. Try the new tuning method, and you will find it much more convenient than the old one.

From the CW decoding point of view, tuning with the keyboard and mouse is not an option, it is a requirement. Due to the delays in the CAT interface, every frequency change causes a gap in the decoded data. If the frequency is changed in multiple small steps, which is the case when the dial knob is used, multiple gaps appear in the decoded data, and the text becomes unreadable.

IMPORTANT: When using CW Skimmer, never touch the dial knob on your radio. Use your mouse and keyboard, as described below, to change the operating frequency.

4 To pan the waterfall and bandmap without changing the operating frequency, drag the frequency scale vertically.

4 To tune at a specific frequency, click on the waterfall display.

4 To tune precisely at a station, click on its label on the bandmap, or click on the decoder circle at the left side of the bandmap.

4 To jump to the next station higher or lower in frequency, use the Up/Down arrow keys.

4 To quickly tune up and down, press the PgUp / PgDn keys, or Left-Click / Right-Click on the button with arrows near the frequency display:

4 To go to the bottom of the band, click on the frequency display or press the End key.

4 To change the band, press Ctrl-PgUp / Ctrl-PgDn, or Ctrl-Left/Ctrl-Right click on the button with arrows. This command is not supported in the SoftRock mode because SoftRock is a single band radio. If you have multiple SoftRocks, you can use this command to quickly change the LO frequency setting if you enter the LO frequencies, in Hz, in the CwSkimmer.ini file as follows:
[sdrSr]
Bands=7000000,7100000,7200000

4 To enter the frequency from the keyboard, click on Commands / Tune At in the menu, or press Ctrl-F.


CW decoder

When the radio is tuned at a CW signal, the decoded text is displayed on the Decoder panel:

The circle on the Band map that corresponds to the selected decoder is marked with the [image] icon. If there is no decoder on the operating frequency, the Decoder panel is grayed.

The text on the Decoder panel is color-coded:
  • Red - callsign;
  • Pink - RST;
  • Blue - keyword;
  • Black - other text.
The characters decoded at a very low SNR are printed in gray or pale red / pink / blue to help you identify possible decoding errors.

The » symbol in the text indicates a long pause in the transmission.


I/Q recorder

To open the I/Q recorder window, click on View / Recorder in the menu.

Recording

The I/Q Recorder saves the signals received from the radio in a WAV file. The format of the file depends on the radio type:

Radio type | WAV format
3-kHz Radio | 6 kHz mono
SoftRock-IF | 24 kHz stereo
All others | 48, 96 or 192 kHz stereo

Table 1. WAV file formats

The data are saved as 24-bit integers.

A WAV file cannot store more than 2 Gb of data. When the size of the recording approaches this limit, CW Skimmer automatically closes the current file and creates a new one.

CW Skimmer saves several pieces of extra information in the WAV file as RIFF INFO tags:

Tag name | Tag value
IART | Operator's name
CALL | Operator's callsign
QTH | QTH of recording
QTR | Recording start date/time, UTC
QRG | Center frequency
CHAN | "I/Q" or "Q/I" channel mapping
ISFT | Software used
IWEB | Web address

Table 2. RIFF INFO tags

To ensure that your recordings have correct tags, verify your Name, Callsign and QTH entered in the Settings dialog - see Other settings for detals.

Playback

The I/Q Recorder can play back its own recordings as well as I/Q recordings made in other SDR software, as long as the format of the WAV file is one of the formats listed in Table 1.

The information panel of the Recorder displays the name of the file being played or recorded, the running UTC clock of the recording, the I/Q channel mapping if the file is stereo, and the progress bar. You can start, pause, resume and stop playback using the buttons on the toolbar (see below), or click on the progress bar to move to the specified point in the recording.

The running UTC clock is based on the date/time of the recording stored in the QTR tag in the file, and the current playback position. If the recording was made with 3-rd party software and does not have the QTR tag, the clock is not available.

The QRG tag stored in the WAV file is used to display the actual RF frequencies on the frequency scale. If this tag is missing, the frequency scale shows the offsets from the center of the receiver passband.

CW Skimmer always stores the I data in the left channel of the stereo recording, and the Q data in the right channel. Third party I/Q recordings may have the I and Q channels swapped. When such file is played, the signals on the waterfall display appear upside down. This can be corrected by clicking on the [image] label.

Buttons
  • - select the folder wher your I/Q recordings will be stored

  • - open the recording and play it back. The button has a drop-down menu with two extra commands, Play Last Played and Play Last Recorded that open tha last played back file and the last recorded file respectively.

  • - pause and resume the playback

  • - stop playback or recording

  • - start and stop I/Q recording. The program does not ask the operator for the file name, to minimize distraction, the file name is generated automatically based on the current UTC date and time. The Move/Rename Last Recording command in the button's dropdown menu can be used to give a more meaningful name to the recorded file, or to move it to another folder.

  • - play back the file in a loop;

  • - view file info. This button opens a window with technical information about the last opened file, and the displays the values of the RIFF INFO tags in the file listed in Table 2.


Telnet server

CW Skimmer has a built-in "read-only" Telnet cluster server. The clients can connect to this server and receive DX spots, but they cannot post their own spots. All spots that appear on this server are generated automatically from the callsigns extracted from the decoded signals.

The login procedure, commands, and the format of the spot data are the same as in the ordinary DX clusters. Most logging, contesting and cluster monitoring programs that support the Telnet protocol can be used to read the spots from CW Skimmer without modification.

To connect to the server with a command-line Telnet client, open the DOS box in Windows and type

telnet localhost 7300

followed by the Enter key. This assumes that CW Skimmer and the client are running on the same computer, and the server is configured to listen on its default port, 7300. To connect to the server running on another machine, replace "localhost" with the IP address of the server.

The server can be enabled/disabled and configured using the controls on the Telnet settings page of the Settings dialog.

The number of clients currently connected to the server is shown on the status bar. All connections are logged in the TelnetSrv.log file.


Telnet Commands

Login

When a Telnet client connects to CW Skimmer, the server sends it a greeting message:

Welcome to the CW Skimmer Telnet cluster port!
CW Skimmer 1.3 is operated by Alex, VE3NEA in Richmond Hill, ON (FN03GW)
Please enter your callsign: ZZ0ZZZ

This message contains the software name and version, operator's name and callsign, and the QTH and Grid Square of the station. These data come from the Operator tab of the Settings dialog.

The client is prompted to enter his/her callsign. In the example above, the client has entered ZZ0ZZZ, followed by Enter.

If the Password option is enabled in Telnet settings, the client is prompted for the password:

Please enter your password:

The password should also be followed by the Enter key.

Upon successful login, the server sends the command prompt...

ZZ0ZZZ de SKIMMER 2008-03-21 16:32Z CwSkimmer >

...and starts sending the spot data:

DX de ZZ0ZZZ-#:  14015.3  9A3B           19 dB  25 WPM  CQ            1534Z
DX de ZZ0ZZZ-#:  14015.6  F6HKA          25 dB  31 WPM  CQ            1534Z
DX de ZZ0ZZZ-#:  14017.1  YR1C           28 dB  32 WPM  CQ            1534Z
DX de ZZ0ZZZ-#:  14019.5  US5XD           6 dB  18 WPM  CQ            1534Z
DX de ZZ0ZZZ-#:  14009.6  DL3EA          11 dB  16 WPM                1534Z
DX de ZZ0ZZZ-#:  14009.2  K0AZ           42 dB  23 WPM                1534Z
DX de ZZ0ZZZ-#:  14009.9  I2UUA          11 dB  33 WPM                1534Z
DX de ZZ0ZZZ-#:  14009.4  VA3CDX         23 dB  26 WPM                1534Z
DX de ZZ0ZZZ-#:  14021.5  PA3DB           6 dB  21 WPM                1534Z
DX de ZZ0ZZZ-#:  14008.4  M0AWX           9 dB  21 WPM                1534Z
DX de ZZ0ZZZ-#:  14010.4  PJ7/PA4WM       9 dB  32 WPM                1535Z
DX de ZZ0ZZZ-#:  14020.5  LZ1ND          12 dB  23 WPM  CQ            1535Z
DX de ZZ0ZZZ-#:  14012.6  W7SW           30 dB  25 WPM                1535Z
DX de ZZ0ZZZ-#:  14008.6  K5SL           53 dB  23 WPM                1535Z
DX de ZZ0ZZZ-#:  14019.8  ZC4LI           6 dB  31 WPM                1535Z
DX de ZZ0ZZZ-#:  14019.8  ZC4LI           6 dB  31 WPM  CQ            1535Z
DX de ZZ0ZZZ-#:  14003.0  IK1HZV          7 dB  21 WPM  CQ            1535Z
DX de ZZ0ZZZ-#:  14018.3  HA8TP          14 dB  29 WPM  CQ            1535Z
DX de ZZ0ZZZ-#:  14021.6  IK0YUT         21 dB  36 WPM                1535Z

The "-#" suffix appended to spotter's callsign indicates that this is an automatic spot generated by the software rather than an ordinary spot posted by an operator.

The Comments field of the spot includes the SNR of the signal and the keying speed. The SNR is the key-on signal-to-noise ratio in the 500 Hz bandwidth averaged over QSB.

If the station is running, "CQ" is appended to the comment. Note that the ZC4LI callsign appears twice in the example above. The first spot was posted when the callsign was detected, then the program discoverd that the station was running, and posted an update with "CQ". If the station is not running but sending its own callsign, this callsign is marked with "DE".

When the operator clicks on the callsign on the Band map, in the Callsign List dialog or in the Received Text panel, the server sends an announcement message to all connected clients:

To ALL de SKIMMER <2014Z> : Clicked on "TI8/DL4MO" at 14012.9

This announcement can be used by the logging software to poplate the callsign input box.

Commands

The SH/DX command can be used to request older spots:

ZZ0ZZZ de SKIMMER 2008-03-21 16:40Z CwSkimmer >
SH/DX
 14009.2  K0AZ        01-Nov-2008 1534Z   39 dB  21 WPM
 14008.6  K5SL        01-Nov-2008 1535Z   53 dB  23 WPM
 14009.1  KD8AQ       01-Nov-2008 1535Z   20 dB  23 WPM
 14020.5  LZ1ND       01-Nov-2008 1535Z   12 dB  23 WPM  CQ
 14008.4  M0AWX       01-Nov-2008 1534Z    9 dB  21 WPM
 14008.9  N2WLG       01-Nov-2008 1536Z   20 dB  15 WPM
 14015.3  N5XM        01-Nov-2008 1536Z   25 dB  26 WPM  CQ
 14019.0  ON4ALY      01-Nov-2008 1537Z    4 dB  27 WPM  CQ
 14009.8  OZ1AXG      01-Nov-2008 1536Z    8 dB  21 WPM
 14021.5  PA3DB       01-Nov-2008 1534Z    6 dB  21 WPM
 14021.5  PA3DBS      01-Nov-2008 1535Z    7 dB  26 WPM
 14010.4  PJ7/PA4WM   01-Nov-2008 1537Z    9 dB  32 WPM  CQ
 14007.1  UR4PWC      01-Nov-2008 1536Z   10 dB  28 WPM  CQ
 14019.5  US5XD       01-Nov-2008 1534Z    6 dB  18 WPM  CQ
 14008.7  VA3CDX      01-Nov-2008 1537Z   26 dB  26 WPM
 14012.6  W7SW        01-Nov-2008 1535Z   30 dB  25 WPM
 14018.3  WA5VGI      01-Nov-2008 1535Z   22 dB  29 WPM  CQ
 14017.1  YR1C        01-Nov-2008 1534Z   32 dB  32 WPM  CQ
 14019.8  ZC4LI       01-Nov-2008 1535Z    8 dB  30 WPM  CQ
ZZ0ZZZ de SKIMMER 2008-03-21 16:40Z CwSkimmer >

This command has no arguments.

The client can start and stop signal processing in CW Skimmer by sending the SKIMMER/START and SKIMMER/STOP commands to the Telnet server:

ZZ0ZZZ de SKIMMER 2008-03-21 16:41Z CwSkimmer >
SKIMMER/START
ZZ0ZZZ de SKIMMER 2008-03-21 16:44Z CwSkimmer >
SKIMMER/STOP
ZZ0ZZZ de SKIMMER 2008-03-21 16:51Z CwSkimmer >

The client can change the operating frequency of the receiver by sending the SKIMMER/QSY command to the Telnet server:

ZZ0ZZZ de SKIMMER 2008-03-21 16:41Z CwSkimmer >
SKIMMER/QSY 14017.0
ZZ0ZZZ de SKIMMER 2008-03-21 16:44Z CwSkimmer >

The client can tell CW Skimmer to highlight certain callsigns by sending the SKIMMER/STATUS command.

ZZ0ZZZ de SKIMMER 2008-03-21 16:41Z CwSkimmer >
SKIMMER/STATUS S51WO 14017.0 DUPE
ZZ0ZZZ de SKIMMER 2008-03-21 16:44Z CwSkimmer >

The following codes can be used in the Announce command:

Code | Suggested Meaning | Color
DUPE | Worked this call on this band | Gray
NEWCTY | All-time new country | Red
BNDCTY | New country on this band | Pink
NOTCFM | Worked but not confirmed | Blue

There is no need to send SKIMMER/STATUS for all other calls, they are displayed in Black by default.

The meaning of the codes is only a guide. The software that sends the SKIMMER/STATUS commands to the Skimmer can use those codes to highlight any other classes of callsigns. For example, contesting software could use the NEWCTY code to highlight the multipliers, and the BNDCTY code to highlight the 5-point callsigns.

The SKIMMER/QSY and SKIMMER/STATUS commands are intended for automatic Telnet clients, such as logging and contesting software.

The Audio IF setting in the SoftRock-IF mode can be changed with the SKIMMER/AUDIOIF command:

ZZ0ZZZ de SKIMMER 2008-03-21 16:41Z CwSkimmer >
SKIMMER/AUDIOIF -29500
ZZ0ZZZ de SKIMMER 2008-03-21 16:44Z CwSkimmer >

The LO Frequency setting in the SoftRock mode can be changed with the SKIMMER/LO_FREQ command:

ZZ0ZZZ de SKIMMER 2008-03-21 16:41Z CwSkimmer >
SKIMMER/LO_FREQ 7020000
ZZ0ZZZ de SKIMMER 2008-03-21 16:44Z CwSkimmer >

The SKIMMER/SETT command returns the validation level, the CQ filter, if enabled, and the boundaries of the decodable segment:

ZZ0ZZZ de SKIMMER 2008-03-21 16:41Z CwSkimmer >
SKIMMER/SETT
SETT: vlNormal CQ 14000.0-14070.0
ZZ0ZZZ de SKIMMER 2008-03-21 16:44Z CwSkimmer >

To end the Telnet session, the client must send the BYE command:

ZZ0ZZZ de SKIMMER 2008-03-21 16:50Z CwSkimmer >
BYE
CU AGN!

Connection to host lost.


Third party software

  • RigSync by Ed Russel, W2RF. This program performs frequency synchronization between two radios, a logging program, and CW Skimmer. If WriteLog is used as a logger, RigSync can also populate the logger band map with the calligns from the Skimmer and highlight the calls in the Skimmer according to their status in WriteLog. This posting by Pete N4ZR at the SkimmerTalk forum is a good introduction to the subject.

  • WinTelnetX by David Robbins, K1TTT, a Windows Telnet to ComPort cross connect utility that can be used to combine the Skimmer and cluster spots. Setup instructions by Pete N4ZR are here.

  • WinBatch scripts by Stephen Genusa, WD5EAE that automate CW Skimmer band switching.

  • Aggregator by Felipe Ceglia, PY1NB, a utility that uploads the callsigns from CW Skimmer to the skimmer.dxwatch.com web site.

  • SkimmerToCommander By Dick Williams, W3OA;

  • Skimmer Scanner By Dick Williams, W3OA.


Troubleshooting

Horizontal strips appear on the waterfall display, and/or the DSP output sound has crackles, if the program does not have enough CPU time to repaint the waterfall.

To reduce CPU consumption, try the following:
  • select a lower sampling rate;
  • resize the window to smaller dimensions;
  • enable adaptive number of decoders in the Settings dialog.

The soundcard does not appear in the device selection combobox when the WDM interface is selected.

This happens because of a bug in the WDM audio driver. Possible solutions:
  • download the latest audio driver update from the soundcard manufacturer's web site;
  • switch to the MME interface.


Registration

CW Skimmer is shareware. You can use a fully functional evaluation version of the program for 30 days for free. At the end of the 30-day period, please either register or uninstall it.

Please visit the CW Skimmer web page for registration information.

Important: CW Skimmer controls external hardware, performs real-time audio streaming, and makes heavy use of the CPU resources. For these reasons, it is not guaranteed to work on each and every system. We strongly recommend that you fully test the program during the trial period and make sure that it works on your particular hardware and meets your expectations, before you register.


Version history

V.2.1
  • Floating Point error fixed;
  • Access Violation error fixed;
  • Callsign analysis error introduced in the previous version fixed. Due to this error, only the callsigns in the master.dta and watch.lst files were spotted.

V.2.0
  • new Spectrum via UDP function;
  • improved prefix identification;
  • various small improvements.

V.1.9
  • improved CQ/DE identification;
  • updated interface to Perseus SDR;

V.1.8
  • Band Scope;
  • new Telnet commands;
  • various small improvements.

V.1.7
  • support of Windows 7;
  • various small improvements.

V.1.6
  • improved frequency calibration;
  • improved CQ/DE detection;
  • bug fixes.

V.1.5
  • support of the Perseus radio;
  • Autostart command line option;
  • SKIMMER/AUDIOIF Telnet command.

V.1.4
  • support of the HPSDR Mercury radio.

V.1.3
  • BLIND mode;

  • jump to the next/previous station command;

  • frequency calibration for SDR-IQ and QS1R;

  • SNR and WPM information in the Telnet spots.

V.1.2
  • support of the QuickSilver QS1R radio;

  • Callsign Validation;

  • bug fixes.

V.1.1
  • the accuracy of decoding and word segmentation improved;

  • improved compatibility with certain soundcards, especially on Vista (note that CW Skimmer is not officially supported on Vista);

  • the Latin character set is enforced on the Received Text panel;

  • fixed button arrangement in the I/Q recorder dialog;

  • Telnet server added;

  • the SDR-IQ and SDR-14 radios are natively supported;

  • Watch list added;

  • Waterfall Settings added;

  • the Always on Top option added.

V.1.0
  • First public release.


Credits

The most important person who helped me to succeed with this project was my wife Lora. CW Skimmer would never see the light of day without her support and encouragement, and her infinite patience during the long 8 years that I spent on this software.

My sincere thanks go to Ed, W2RF and Pete N4ZR who performed countless tests on my program and helped me to debug and improve it; Phil N8VB for creating the QS1R FPGA files optimized for CW Skimmer, and for excellent support; Nico IV3NWV for developing the Perseus FPGA files that support the required sampling rates.

The following third party units, header files, objects, libraries and datasets have been used in CW Skimmer:
  • Project JEDI;

  • The FFT unit from DC-DSP Components, modified for compatibility with Delphi5;

  • The FastCode library;

  • Indy 10;

  • sdr14x SDK from RF Space, modified by Ed W2RF;

  • Virtual TreeView;

  • Firmware and FPGA files for the QS1R radio by Phil N8VB;

  • Master.dta, the Super-Check Partial file by Randy, K5ZD;

  • Microtelecom SDRDK, the interface library for the Perseus radio. "Copyright Microtelecom s.r.l. - Pavia di Udine, Italy". "SDR Technology provided by Microtelecom s.r.l. - Pavia di Udine, Italy".